wt_spamshield - Bug # 48662

Status: Resolved Priority: Should have

Author: Alexander Opitz Category:

Created: 2013-05-30 Assigned To: Ralf Zimmermann

Updated: 2013-06-05 Due date:

Subiject: PHP Fatal error: require_once(): Failed opening required '/typo3/sysext/cms/tslib/class.tslib_pibase.php'
Description

Since TYPO3 CMS 6.0 classes in tslib are deprecated and removed in 6.2

As there is a class autoloader since TYPO3 CMS 4.3 removing all the

require_once(PATH_tslib . ‘class.tslib_pibase.php’);

should be enough.

Related issues:

related to Government Package - Bug # 48855: Government package Fatal error o... Resolved 2013-06-04
related to FeedForward - Bug # 54649: Compatibility with TYPO3 CMS 6.2 New 2013-12-30
related to Multicolumn for the page module - Bug # 54650: Compatibility with ... Resolved 2013-12-30
History

#1 - 2013-05-31 16:49 - Bjoern Jacob
- Status changed from New to Accepted
- Assigned To set to Ralf Zimmermann

We're evaluating the autoloader and try to implement it. Thanks.

#2 - 2013-06-04 22:09 - Ernesto Baschny
- % Done changed from 0 to 100

this is fixed already in 1.0.2, so this issue can be probably closed. I'm packaging this now with the new government package 6.2.0alpha1i.

#3 - 2013-06-05 16:29 - Bjoern Jacob
- Status changed from Accepted to Resolved

Great. Thx. We're very happy to see wt_spamshield as part of the government package for 6.2.0 :)
